﻿.error-modal,
.setup-error-modal,
.edited-form-modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.35);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

.error-modal {
    z-index: 10000;
}


.error-content,
.setup-error-content,
.edited-form-content {
    position: relative;
    background: var(--theme-pop-up-bg);
    color: white;
    padding: 25px 30px;
    border-radius: 18px;
    width: 340px;
    text-align: center;
    font-family: 'Segoe UI', sans-serif;
    animation: fadeIn 0.25s ease-out;
}

.edited-form-content {
    width: 380px;
}

.error-title,
.setup-error-title,
.edited-form-title {
    font-weight: 700;
    font-size: 18px;
    margin-bottom: 10px;
}

.setup-error-section {
    margin-top: 40px;
}

    .setup-error-section a {
        text-decoration: none;
    }

.close-modal-x-btn {
    background-color: var(--theme-btn-close-modal-x-bg);
    color: var(--theme-btn-close-modal-x-color);
    display: block;
    width: 42px;
    height: 42px;
    border-radius: 50%;
    font-size: 20px;
    position: absolute;
    right: 20px;
    top: 20px;
    font-weight: 700;
    border: none;
}

    .close-modal-x-btn:hover {
        background-color: white;
        color: black;
    }

.edited-form-modal .close-modal-btn,
.error-modal .close-modal-btn {
    background-color: var(--theme-btn-pop-up-ok-bg);
    color: var(--theme-btn-pop-up-ok-color);
    border: none;
    border-radius: 25px;
    font-weight: 600;
    padding: 10px 35px;
    cursor: pointer;
    margin-top: 15px;
}

@@keyframes fadeIn {
    from {
        opacity: 0;
        transform: scale(0.95);
    }

    to {
        opacity: 1;
        transform: scale(1);
    }
}
